Zum Inhalt springen

Eine der Anmeldungen des Mitglieds stornieren (innerhalb des Stornierungsfensters)

DELETE
/v1/me/registrations/{id}
curl --request DELETE \
--url https://api.vimine.network/v1/me/registrations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
id
erforderlich
string Format: uuid

Storniert

Medientypapplication/json
object
id
string Format: uuid
status
string
Erlaubte Werte: reserved confirmed cancelled refunded
event
object
id
string
slug
string
title
string
starts_at
string Format: date-time
ends_at
string Format: date-time
nullable
timezone
string
status
string
location
string
nullable
registration_type
object
uid
string
cod
string
name
string
amount
number
currency
string
quantity
integer
reserved_until
string Format: date-time
nullable
checked_in_at
string Format: date-time
nullable
cancelled_at
string Format: date-time
nullable
cancel_reason
string
nullable
can_cancel
boolean
payment
object
status
string
amount
number
currency
string
method
string
paid_at
string Format: date-time
payment_instructions

Wie der Beitrag zu zahlen ist, solange reserviert

string
nullable
note

Freier Text, den die Person geschrieben hat. Für Clients von Drittanbietern zurückgehalten (null), wenn der Verein erklärt hat, dass er besondere Kategorien von Daten verarbeitet

string
nullable
created_at
string Format: date-time
token

Der QR-Inhalt der Anmeldung (vmt_…), nur bei bestätigten Anmeldungen

string
nullable
Beispiel
{
"status": "reserved"
}

Ungültige Anfrage

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Fehlende oder ungültige Zugangsdaten

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Nicht erlaubt

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Nicht gefunden

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

window_closed (zu kurz vor Beginn) oder not_live (bereits storniert)

Ratenlimit überschritten

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Interner Fehler

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}